#!/bin/python

"""
ToolGoogleTranslate.py

David Janes
BlogMatrix
2004.02.12
"""

import sys
import urllib
import Tool

class ToolGoogleTranslate(Tool.ToolInterface):
	"""
	The interface for your tool. Simply create an instance of this object and Jaeger
	will figure it out.
	"""
	def __init__(self, from_language_name, from_language_code, to_language_name, to_language_code):
		Tool.ToolInterface.__init__(self)
		
		self.from_language_name = from_language_name
		self.from_language_code = from_language_code
		self.to_language_name = to_language_name
		self.to_language_code = to_language_code
		
	def get_group(self):
		return	"Translate (Google)"
		
	def get_label(self, selected):
		return	"%s to %s" % ( self.from_language_name, self.to_language_name )
		
	def invoke(self, selected, operations):
		operations.open_url("http://www.google.com/translate?" + \
			"langpair=" + self.from_language_code + "%7C" + self.to_language_code + "&u=" + \
			urllib.quote(selected.url))

#
# creating it will register it
#
ToolGoogleTranslate("English", "en", "French", "fr")
ToolGoogleTranslate("English", "en", "German", "de")
ToolGoogleTranslate("English", "en", "Italian", "it")
ToolGoogleTranslate("English", "en", "Portuguese", "pt")
ToolGoogleTranslate("English", "en", "Spanish", "es")
ToolGoogleTranslate("French", "fr", "German", "de")
ToolGoogleTranslate("French", "fr", "English", "en")
ToolGoogleTranslate("German", "de", "English", "en")
ToolGoogleTranslate("German", "de", "French", "fr")
ToolGoogleTranslate("Italian", "it", "English", "en")
ToolGoogleTranslate("Portuguese", "pt", "English", "en")
ToolGoogleTranslate("Spanish", "es", "English", "en")
